パーミッション要件の決定

問題

New Relic PHP エージェントをインストールして利用するために、システムのパーミッションを決める必要があります。

対策

多くの場合、PHP用 New Relic インストールするには、root 権限が必要になります。何故なら、インストールのプロセスは root ユーザーだけが利用できる権限を必要とするからです。このプロセスで必要な権限は以下のようなものです。

  • PHP 拡張ディレクトリの読み取り/書き込みができること
  • PHP 設定ファイル (PHP 設定ディレクトリ(推奨)もしくは、php.ini)の読み取り/書き込みができること
  • WebサーバーやPHPプロセスプールの再起動できること

エージェントの実行には root アクセスは必要ありません。エージェントは以下のファイルへの読み取り/書き込みを必要としません(以下のファイルの場所は、PHPエージェントの設定においてカスタマイズ可能です。)